Skip to Content
CallMitraDocs
API referenceLead notes

Delete a note

Only the author or a workspace manager can delete a person's note.

DELETE
/api/v1/leads/{lead_id}/notes/{note_id}

Only the author or a workspace manager can delete a person's note.

Authorization

headerX-API-Key<token>

Create in the console: Settings → API & webhooks.

Path Parameters

lead_id*Lead Id

Lead ID.

note_id*Note Id

Note ID, from GET /leads/{leadId}/notes.

Response Body

OK

application/json
  1. response

Confirms the delete.

notesCount?|

Live notes left on the lead.

success?|

Always true.

[key: string]?any
Example Request
curl -X DELETE 'https://api.callmitra.ai/api/v1/leads/string/notes/string'
Example Response
{  "notesCount": 3,  "success": true}